package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwWorkTask;
import com.fs.qw.param.QwWorkTaskListParam;
import com.fs.qw.vo.QwWorkTaskListVO;

import java.util.List;

/**
 * 企微任务看板Service接口
 *
 * @author fs
 * @date 2025-03-18
 */
public interface IQwWorkTaskService extends IService<QwWorkTask>{
    /**
     * 查询企微任务看板
     *
     * @param id 企微任务看板主键
     * @return 企微任务看板
     */
    QwWorkTask selectQwWorkTaskById(Long id);

    /**
     * 查询企微任务看板列表
     *
     * @param qwWorkTask 企微任务看板
     * @return 企微任务看板集合
     */
    List<QwWorkTask> selectQwWorkTaskList(QwWorkTask qwWorkTask);

    /**
     * 新增企微任务看板
     *
     * @param qwWorkTask 企微任务看板
     * @return 结果
     */
    int insertQwWorkTask(QwWorkTask qwWorkTask);

    /**
     * 修改企微任务看板
     *
     * @param qwWorkTask 企微任务看板
     * @return 结果
     */
    int updateQwWorkTask(QwWorkTask qwWorkTask);

    /**
     * 批量删除企微任务看板
     *
     * @param ids 需要删除的企微任务看板主键集合
     * @return 结果
     */
    int deleteQwWorkTaskByIds(Long[] ids);

    /**
     * 删除企微任务看板信息
     *
     * @param id 企微任务看板主键
     * @return 结果
     */
    int deleteQwWorkTaskById(Long id);

    void addQwWorkByFirstCourse();


    void addQwWorkByCourse();

    void addQwWorkByConversionDay();

    List<QwWorkTaskListVO> selectQwWorkTaskListVO(QwWorkTaskListParam qwWorkTask);

    void addQwWorkByCourse4();

    void delQwWorkTaskByOver();

}
